Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.info
Class ContainerPreferencesInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.info.ContainerPreferencesInfo

All Implemented Interfaces:
  PreferencesInfo

    public class ContainerPreferencesInfo

extends java.lang.Object
implements PreferencesInfo

Version:
  $Revision: 6818 $
Author:
  Julien Viet, Chris Laprun

Constructor Summary
`ContainerPreferencesInfo()`
`ContainerPreferencesInfo(PortletMetaData portletMD, ResourceBundleManager bundleMgr)`

Method Summary
`ContainerPreferenceInfo` | `getContainerPreference(java.lang.String key)`
`java.util.Set` | `getKeys()` Return the immutable set of keys.
`PreferenceInfo` | `getPreference(java.lang.String key)` A preference specified by its key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerPreferencesInfo

    public ContainerPreferencesInfo()

### ContainerPreferencesInfo

    public ContainerPreferencesInfo(PortletMetaData portletMD,
                                    ResourceBundleManager bundleMgr)

Method Detail

### getContainerPreference

    public ContainerPreferenceInfo getContainerPreference(java.lang.String key)

### getKeys

    public java.util.Set getKeys()

  Description copied from interface: `PreferencesInfo`
  Return the immutable set of keys.

  Specified by:
    `getKeys` in interface `PreferencesInfo`

### getPreference

    public PreferenceInfo getPreference(java.lang.String key)

  Description copied from interface: `PreferencesInfo`
  A preference specified by its key.

  Specified by:
    `getPreference` in interface `PreferencesInfo`
  Returns:
    the preference info or null if it does not exist

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD